package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.AddressDevice;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface AddressDeviceDAO {
	int insert(AddressDevice entity);
	int update(AddressDevice entity);
	int exist(String id);
	AddressDevice get(String id);
	int delete(String id);
	List<AddressDevice> list();
	AddressDevice findByDeviceId(String deviceId);
	AddressDevice findByDeviceIdAndAddressId(@Param("deviceId") String deviceId, @Param("addressId")String addressId);
	List<AddressDevice> search(Map<String, Object> searchParams, List<Sort> sortList);
}